Subject: [lmap] are overlapping actions of a schedule allowed ?

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 19 Feb 2016 18:19:43 +0100

Hi,

supposed you have a period event triggering a schedule with an action
every minute. What should happen if the action triggered at t0 is
still running at t1? Our code currently skips the execution of the
action in this case (well it should probably skip the execution of the
whole schedule if at least one action of the schedule is still
running). The reason is that we want to avoid running out of resources
just because someone agressively triggers actions. Should LMAP specify
how an implementation is expected to behave in this situation?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>